VTK: Rendering/LICOpenGL2/Testing/Cxx/vtkSurfaceLICTestDriver.h File Reference

| VTK 9.3.1

Functions
vtkSurfaceLICTestDriver.h File Reference
`#include "vtkSystemIncludes.h"`
`#include <string>`
`#include <vector>`
Include dependency graph for vtkSurfaceLICTestDriver.h:

Go to the source code of this file.

## Functions
int | vtkSurfaceLICTestDriver (int argc, char **argv, vtkDataObject *dataObj, int num_steps, double step_size, int enhanced_lic, int normalize_vectors, int camera_config, int generate_noise_texture, int noise_type, int noise_texture_size, int noise_grain_size, double min_noise_value, double max_noise_value, int number_of_noise_levels, double impulse_noise_prob, double impulse_noise_bg_value, int noise_gen_seed, int enhance_contrast, double low_lic_contrast_enhancement_factor, double high_lic_contrast_enhancement_factor, double low_color_contrast_enhancement_factor, double high_color_contrast_enhancement_factor, int anti_alias, int color_mode, double lic_intensity, double map_mode_bias, int color_by_mag, int mask_on_surface, double mask_threshold, double mask_intensity, std::vector< double > &mask_color_rgb, std::string &vectors)

## Function Documentation

## ◆ vtkSurfaceLICTestDriver()

int vtkSurfaceLICTestDriver | ( | int | argc,
|  | char ** | argv,
|  | vtkDataObject * | dataObj,
|  | int | num_steps,
|  | double | step_size,
|  | int | enhanced_lic,
|  | int | normalize_vectors,
|  | int | camera_config,
|  | int | generate_noise_texture,
|  | int | noise_type,
|  | int | noise_texture_size,
|  | int | noise_grain_size,
|  | double | min_noise_value,
|  | double | max_noise_value,
|  | int | number_of_noise_levels,
|  | double | impulse_noise_prob,
|  | double | impulse_noise_bg_value,
|  | int | noise_gen_seed,
|  | int | enhance_contrast,
|  | double | low_lic_contrast_enhancement_factor,
|  | double | high_lic_contrast_enhancement_factor,
|  | double | low_color_contrast_enhancement_factor,
|  | double | high_color_contrast_enhancement_factor,
|  | int | anti_alias,
|  | int | color_mode,
|  | double | lic_intensity,
|  | double | map_mode_bias,
|  | int | color_by_mag,
|  | int | mask_on_surface,
|  | double | mask_threshold,
|  | double | mask_intensity,
|  | std::vector< double > & | mask_color_rgb,
|  | std::string & | vectors
| ) |  |